<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="/css/auction-list.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/common-tools.css" rel="stylesheet"/>

    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>


</head>
<body>

<div th:replace="nav.html :: body"></div>
<div class="auction-list-box">

    <div>
        <form method="post" th:action="'/all-auctions/filter-auctions'" th:object="${auctionPathVariablesDTO}">
        <div class="centerBox">
            <div class="btn-group btn-group-toggle" data-toggle="buttons">
                <div class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="typeOfCharacter" th:field="${auctionPathVariablesDTO.type}"
                           type="radio"
                           value="pony"
                    > Pony
                </div>
                <label class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="typeOfCharacter" th:field="${auctionPathVariablesDTO.type}"
                           type="radio"
                           value="furry"
                    > Furry
                </label>
                <label class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="typeOfCharacter" th:field="${auctionPathVariablesDTO.type}"
                           type="radio"
                           value="human"
                    > Human
                </label>
                <label class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="typeOfCharacter" th:field="${auctionPathVariablesDTO.type}"
                           type="radio"
                           value="all"
                    > All
                </label>
            </div>
        </div>

        <div class="centerBox">
            <div class="btn-group btn-group-toggle" data-toggle="buttons">
                <div class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="category" th:field="${auctionPathVariablesDTO.category}" type="radio"
                           value="safe"
                    > Safe
                </div>
                <label class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="category" th:field="${auctionPathVariablesDTO.category}" type="radio"
                           value="explicit"
                    > Explicit
                </label>
                <label class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="category" th:field="${auctionPathVariablesDTO.category}" type="radio"
                           value="questionable"
                    > Questionable
                </label>
                <label class="btn btn-secondary" style="width: 150px">
                    <input autocomplete="on" name="typeOfCharacter" th:field="${auctionPathVariablesDTO.category}"
                           type="radio"
                           value="all"
                    > All
                </label>
            </div>
        </div>
            <div class="centerBox" style="margin-top: 10px">
                <button class="btn btn-primary" type="submit">Search</button>
            </div>
    </form>
    </div>

    <div th:each="oneAuction, iter : ${auctionDTOS}">
        <div class="single-auction-box">
            <div class="single-auction">
                <div class="tag" th:text="${oneAuction.theHighestBid} + ' $'"></div>
                <a th:href="@{'/auction?id=' + ${oneAuction.auctionId}}" th:method="post">
                    <img class="portrait" height="258"
                         th:src="@{'/downloadFile/' + ${oneAuction.imageId}}" width="258"/>
                </a>
            </div>
        </div>
    </div>
</div>
</body>
</html>